Bug 742801 - java.lang.NoClassDefFoundError: twitter4j/TwitterException when creating a new Alert Definition using Twitter plugin
java.lang.NoClassDefFoundError: twitter4j/TwitterException when creating a ne...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-02 17:07 EDT by Rafael Soares (Tuelho)
Modified: 2013-09-01 15:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
RHEL 6.1 WS RHQ 4.1.0 java version "1.6.0_27" Java(TM) SE Runtime Environment (build 1.6.0_27-b07) Java HotSpot(TM) 64-Bit Server VM (build 20.2-b06, mixed mode) Firefox 3.6.23
Last Closed: 2013-09-01 15:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rafael Soares (Tuelho) 2011-10-02 17:07:08 EDT
Description of problem:
A 'java.lang.NoClassDefFoundError: twitter4j/TwitterException' occurs when creating a new Alert Definition using Twitter plugin

Version-Release number of selected component (if applicable):
RHQ 4.1

How reproducible:
Create a new Alert Definition and choose Twitter from the list.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Message :	
Failed to get notification configuration preview
Severity :	
Error
	
Time :	
Sunday, October 2, 2011 6:01:58 PM Etc/GMT+3
Detail :	
java.lang.RuntimeException:[1317589318536] javax.ejb.EJBException:java.lang.RuntimeException: java.lang.NoClassDefFoundError: twitter4j/TwitterException -> java.lang.RuntimeException:java.lang.NoClassDefFoundError: twitter4j/TwitterException -> java.lang.NoClassDefFoundError:twitter4j/TwitterException -> java.lang.ClassNotFoundException:twitter4j.TwitterException
--- STACK TRACE FOLLOWS ---
[1317589318536] javax.ejb.EJBException:java.lang.RuntimeException: java.lang.NoClassDefFoundError: twitter4j/TwitterException -> java.lang.RuntimeException:java.lang.NoClassDefFoundError: twitter4j/TwitterException -> java.lang.NoClassDefFoundError:twitter4j/TwitterException -> java.lang.ClassNotFoundException:twitter4j.TwitterException
    at Unknown.java_lang_RuntimeException_$RuntimeException__Ljava_lang_RuntimeException_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_core_java_lang_RuntimeException_1FieldSerializer_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_RuntimeException_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_$readObject__Lcom_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
    at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.anonymous(Unknown source:0)

Expected results:


Additional info:
Comment 1 Rafael Soares (Tuelho) 2011-10-02 22:16:08 EDT
Plugin is missing the twitter4j-core-2.1.2.jar dependency inside its lib dir.
Comment 2 Heiko W. Rupp 2012-07-04 11:23:21 EDT
Looks like Jay Shaughnessy has already solved this on Oct 10th, 2011. The 
current plugin jar contains the twitter jar.
Comment 3 Heiko W. Rupp 2013-09-01 15:20:24 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.